For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Field Mapping
          • GET/field-mappings
          • POST/field-mappings
          • DEL/field-mappings/{field_mapping_id}
          • PATCH/field-mappings/{field_mapping_id}
          • GET/remote-fields
          • GET/target-fields
          • POST/target-fields

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Linked AccountField Mapping

/target-fields

POST
/crm/v1/target-fields
POST
/api/crm/v1/target-fields
$curl -X POST https://api.merge.dev/api/crm/v1/target-fields \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "employee_favorite_team",
> "common_model": "Employee"
>}'
200Successful
1{
2 "Account": [
3 {
4 "name": "example_target_field_name",
5 "description": "this is a example description of a target field",
6 "is_mapped": "true"
7 }
8 ],
9 "Contact": [
10 {
11 "name": "example_target_field_name",
12 "description": "this is a example description of a target field",
13 "is_mapped": "true"
14 }
15 ],
16 "Lead": [
17 {
18 "name": "example_target_field_name",
19 "description": "this is a example description of a target field",
20 "is_mapped": "true"
21 }
22 ],
23 "Note": [
24 {
25 "name": "example_target_field_name",
26 "description": "this is a example description of a target field",
27 "is_mapped": "true"
28 }
29 ],
30 "Opportunity": [
31 {
32 "name": "example_target_field_name",
33 "description": "this is a example description of a target field",
34 "is_mapped": "true"
35 }
36 ],
37 "Stage": [
38 {
39 "name": "example_target_field_name",
40 "description": "this is a example description of a target field",
41 "is_mapped": "true"
42 }
43 ],
44 "User": [
45 {
46 "name": "example_target_field_name",
47 "description": "this is a example description of a target field",
48 "is_mapped": "true"
49 }
50 ],
51 "Task": [
52 {
53 "name": "example_target_field_name",
54 "description": "this is a example description of a target field",
55 "is_mapped": "true"
56 }
57 ],
58 "Engagement": [
59 {
60 "name": "example_target_field_name",
61 "description": "this is a example description of a target field",
62 "is_mapped": "true"
63 }
64 ]
65}
Create a new organization-wide Target Field. Target Fields are custom fields that your organization defines to collect supplemental data from integrations. [Learn more](https://docs.merge.dev/supplemental-data/field-mappings/target-fields/).
Was this page helpful?
Previous

/target-fields

Next

Scopes

Create a new organization-wide Target Field. Target Fields are custom fields that your organization defines to collect supplemental data from integrations. Learn more.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Request

This endpoint expects an object.
namestringRequired>=1 character
The name of the target field.
common_modelstringRequired>=1 character
The name of the Common Model to associate the target field with.
descriptionstringOptional>=1 characterDefaults to
The description of the target field.

Response

Accountlist of objects
AccountingAttachmentlist of objects
BalanceSheetlist of objects
CashFlowStatementlist of objects
CompanyInfolist of objects
Contactlist of objects
IncomeStatementlist of objects
CreditNotelist of objects
Itemlist of objects
PurchaseOrderlist of objects
SalesOrderlist of objects
ItemFulfillmentlist of objects
ExpenseReportlist of objects
TrackingCategorylist of objects
JournalEntrylist of objects
TaxRatelist of objects
Invoicelist of objects
Paymentlist of objects
Expenselist of objects
VendorCreditlist of objects
Transactionlist of objects
AccountingPeriodlist of objects
BankFeedAccountlist of objects
Employeelist of objects
PaymentMethodlist of objects
Projectlist of objects
PaymentTermlist of objects